> ## Documentation Index
> Fetch the complete documentation index at: https://vida.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Remove a Contact from an objective and delete its state

> Atomically removes every matching List membership and customFields[listName].



## OpenAPI

````yaml delete /api/v2/contact/{contactId}/list/{listName}/state
openapi: 3.0.0
info:
  version: 2.0.0
  title: Vida API
  description: Vida API Documentation
servers:
  - url: https://api.vida.dev
    description: Vida Production
    variables:
      baseUrl:
        default: api.vida.dev
        description: Production API Root
security: []
paths:
  /api/v2/contact/{contactId}/list/{listName}/state:
    delete:
      tags:
        - Contacts
      summary: Remove a Contact from an objective and delete its state
      description: >-
        Atomically removes every matching List membership and
        customFields[listName].
      parameters:
        - name: contactId
          in: path
          required: true
          schema:
            type: string
        - name: listName
          in: path
          required: true
          schema:
            type: string
      responses:
        default:
          description: ''
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: query
      name: token
      description: Vida API Token

````